  /*Vue Loading*/

  [v-cloak] {
    display: none;
  }
  /*Materialize Local Style*/
  /*|--Preloader*/

  .toast .preloader-wrapper {
    width: 24px;
    height: 24px;
    margin-right: 8px;
    float: right;
  }

  @media only screen and (min-width: 993px) {
    #toast-container {
      top: auto;
      bottom: 10%;
      float: right;
    }
  }
  /*Layout for stock discover*/

  #stock_discover_container {
    min-height: 100%;
  }

  #discover_container #discover {
    padding-top: 20px;
    padding-bottom: 10px;
  }
  /* Full Screen */

   :full-screen,
   :fullscreen {
    width: 100%;
    margin-top: 150px;
  }

   :-moz-full-screen {
    width: 100%;
    margin-top: 150px;
  }

   :-ms-fullscreen {
    width: 100%;
    margin-top: 150px;
  }

  #discover:-webkit-full-screen {
    width: 100%;
    padding-right: 230px;
  }
  /*Row layout*/

  #discover_container #discover .content_row {
    display: flex;
    display: -webkit-flex;
    align-items: stretch;
  }
  /*Other General Layout*/

  #discover_container a.btn,
  #discover_container a.btn-flat {
    cursor: pointer;
  }

  #discover_container a.btn-flat:hover {
    color: #343434;
  }

  #discover_container a.btn:hover {
    color: #fff;
  }

  #discover_container #discover .clickable {
    cursor: pointer;
  }
  /*Content block*/

  #discover_container #discover .discover_content {
    background-color: white;
    margin-bottom: 10px;
  }
  /*Block Title*/

  #discover_container #discover .discover_content .subtitle,
  #discover_container #discover .discover_content .title {
    height: 21px;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 5px;
  }

  #discover_container #discover .discover_content .title .title_label {
    display: inline-block;
    padding-right: 3px;
    height: 100%;
    width: 5px;
    background-color: #666;
  }

  #discover_container #discover .discover_content .title .title_content {
    display: inline-block;
    vertical-align: top;
    line-height: 21px;
    color: #666;
  }

  #discover_container #discover .discover_content .subtitle .subtitle_content {
    font-size: 12px;
    color: #757575;
  }
  /*Input*/

  #discover_container .inline_input {
    display: inline-block;
    height: 26px;
    width: 177px;
    margin: 0;
    font-size: 14px;
    color: #848484;
  }

  #discover_container ul.select-dropdown {
    max-height: 200px;
  }
  /* Runway info box */

  #side_info_column {
    position: absolute;
    /* top: auto; */
    right: -220px;
    width: 215px;
    min-height: 50px;
    z-index: 1000;
  }

  .side_info_right_column {
    position: absolute;
    top: -10px;
    right: -220px;
    width: 210px;
    min-height: 50px;
    z-index: 1000;
    padding-left: 10px;
  }

  .right-box-wrap {
    text-align: center;
    overflow: hidden;
    padding: 5px;
    border: 5px solid hsla(0, 0%, 100%,.5);
  }

  .right-control-btn {
    float: left;
    margin: 1%;
    border-radius: 8%;
    border: 1px solid #4193FF;
    background-color: white;
    width: 50px;
    height: 50px;
    cursor: pointer;
  }

  .right-control-btn:hover {
    background-color: rgba(65,147,255,0.25) !important;
  }

  .right-control-btn-bak {
    width: 31%;
    height: 31%;
    padding-bottom: 31%;
    margin: 1%;
    border-radius: 10%;
    background-color: gray;
    font-size: 16px;
    color: #fff;
}


/*   #side_info_left_column {
    position: absolute;
    top: 0;
    left: -220px;
    width: 210px;
    min-height: 50px;
    z-index: 1000;
  }*/

  .side_info_left_column {
    position: absolute;
    top: -10px;
    left: -215px;
    width: 210px;
    min-height: 50px;
    z-index: 1000;
    padding-left: 80px;
  }

  .panorama {
    /* padding:12px 12px; */
    width: 100%;
    height: 100%;
    text-align: center;
    line-height: 55px;
    color:#fff !important;
    /* background-color: #757575; /*#52a0c6;*/
    text-align:center;
    font-size: 18px;
    /* margin: 10px 0px; */
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    cursor: pointer;
    display: block;
  }

  .panorama:hover {
    background-color: #4193FF !important;
  }


  #runway_info_box {
    background-color: #fff;
    /* border: 10px solid rgba(255,255,255,0.5);
    border-bottom: white; */
    height: 245px;
    background-clip: padding-box;
    padding: 5px;
  }

  #runway_info_box .custom_header {
      width: 64px;
      height: 25px;
      line-height: 17px;
      text-align: left;
      color: #4193FF;
      font-size: 16px;
      font-weight: bolder;
      padding-bottom: 20px;
      border-bottom: 3px solid;
      margin-bottom: 10px;
  }

  #runway_info_box table#runway_info_list tr:first-child:last-child {
    margin: 4px 0;
  }

  #holding_history table#holding_hist_list tr>td,
  #floating_info_box table#fib_list tr>td,
  #runway_info_box table#runway_info_list tr>td {
    padding: 0 4px;
    font-size: 14px;
  }

  #holding_history table#holding_hist_list tr>td.item_name,
  #floating_info_box table#fib_list tr>td.item_name,
  #runway_info_box table#runway_info_list tr>td.item_name {
    font-weight: bold;
  }

  #group_multi_levels_transfer_field {
    /* display: flex;
  display: -webkit-flex;
  align-content: space-between; */
    margin-bottom: 5px;
    background-color: white;
    background-clip: padding-box;
  }

  #group_multi_levels_transfer_field #float_up_options {
    max-height: 400px;
  }

  #group_multi_levels_transfer_field #float_up_options li {
    font-size: 14px;
    line-height: 18px;
    min-height: 36px;
    padding: 9px;
  }

  #group_multi_levels_transfer_field #float_up_options li.float_up_to_all_brother_groups,
  #group_multi_levels_transfer_field #float_up_options li.float_up_to_brother_stocks {
    color: #9e9e9e;
  }

  #group_multi_levels_transfer_field #float_up_options li.float_up_to_all_brother_groups strong,
  #group_multi_levels_transfer_field #float_up_options li.float_up_to_brother_stocks strong {
    color: rgba(0, 0, 0, 0.87);
    font-weight: bolder;
  }

  #group_multi_levels_transfer_field #float_up_options li:hover,
  #group_multi_levels_transfer_field #float_up_options li:hover strong {
    background-color: #757575;
    color: #fff;
  }

  #load_more_attrs {
    float: right;
    font-size: 14px;
    height: 25px;
    line-height: 25px;
    padding: 0 5px;
  }
  /* Opinion Submit */

  #have_problem_solution_btn {
    position: absolute;
    right: 0;
    top: 45%;
    width: 50px;
    height: 50px;
    line-height: 15px;
    padding: 10px;
    font-size: 15px;
    background-color: #ee6e73;
    color: #fff;
  }
  /*Playground*/

  #discover_container #discover #playground {
    display: flex;
    display: -webkit-flex;
    flex-direction: column;
  }
  /*Info Panel*/

  #discover_container #discover #statistics_info_modal {
    width: 280px;
  }

  #discover_container #discover #statistics_info_modal #info_panel {
    background-color: #fff;
  }

  #discover_container #discover #statistics_info_modal #info_panel .title {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    align-items: center;
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #discover #statistics_info_modal #info_panel .title label {
    display: inline-block;
    height: 21px;
    line-height: 21px;
    width: 21px;
    padding: 3px;
    background-color: #666;
    border-radius: 3px;
  }

  #discover_container #discover #statistics_info_modal #info_panel .title label i {
    font-size: 15px;
    font-weight: 700;
    color: #fff;
  }

  #discover_container #discover #statistics_info_modal #info_panel td {
    padding: 2px 0;
  }
  /*Stock Data Config Modal*/

  #discover_container #stock_data_config_modal {
    width: 800px;
    max-height: 800px;
    background-color: #fff;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_tabs {
    display: flex;
    display: -webkit-flex;
    border-bottom: 3px solid #757575;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_tabs .config_tab {
    height: 36px;
    line-height: 28px;
    padding: 6px 8px 2px 8px;
    margin-right: 1px;
    background-color: #bdbdbd;
    border-radius: 4px 4px 0 0;
    cursor: pointer;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_tabs .config_tab.active {
    color: #fff;
    background-color: #757575;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_page_wrapper {
    min-height: 300px;
    max-height: 700px;
    padding: 5px 0;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_page_wrapper .flex_row {
    display: flex;
    display: -webkit-flex;
    align-content: stretch;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_page_wrapper .flex_col {
    display: flex;
    display: -webkit-flex;
    align-content: stretch;
    flex-direction: column;
    margin: 0;
    padding: 0;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .clickable_text {
    color: #42a5f5;
    cursor: pointer;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .common_title {
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .common_title.inline_title {
    margin-right: 10px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box {
    margin: 0;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box.space_padding {
    padding: 4px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box.list_style {
    padding: 4px 0;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box.list_style li {
    height: 27px;
    line-height: 27px;
    width: 100%;
    padding: 0 4px;
    margin: 0;
    cursor: pointer;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box.list_style li.li_active,
  #discover_container #stock_data_config_modal #stock_data_config_panel .lined_box_wrapper .lined_box.list_style li:hover {
    color: #fff;
    background-color: #757575 !important;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_page_wrapper .tags_container {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-content: flex-start;
    overflow-y: auto;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel {
    height: 60px;
    width: 240px;
    margin: 0 15px 10px 0;
    padding: 5px 8px;
    border-radius: 8px;
    background-color: #bdbdbd;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel .panel_title .panel_title_content {
    height: 30px;
    line-height: 30px;
    color: #333;
    font-size: 20px;
    font-weight: bold;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel .panel_title i,
  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel .panel_title span.clickable_text {
    font-size: 15px;
    color: #fff;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel .panel_content {
    height: 20px;
    line-height: 20px;
    font-size: 15px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .all_single_panel .panel_content span {
    display: inline-block;
    margin-right: 5px;
  }
  /* Panorama Page */

  #discover_container #stock_data_config_modal #stock_data_config_panel .panorama_card .panorama_title {
    height: 18px;
    line-height: 18px;
    font-weight: bold;
    font-size: 16px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .panorama_card .panorama_description {
    height: 15px;
    line-height: 15px;
    color: grey;
    font-size: 14px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .select_result_wrapper .selected_stocks_title {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .select_result_wrapper #stock_selected_list {
    width: 100%;
    padding-bottom: 4px;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .select_result_wrapper #stock_selected_list #selected_stocks {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-content: flex-start;
    height: 250px;
    overflow-y: auto;
    padding: 4px 4px 0 4px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .select_result_wrapper #stock_selected_list .select_op_wrapper {
    padding: 0 4px;
    text-align: right;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_conditions_wrapper .filter_title {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_conditions_wrapper #filter_conditions_list {
    padding: 0 0 4px 0;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_conditions_wrapper #filter_conditions_list #filter_conditions {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-content: flex-start;
    min-height: 34px;
    max-height: 300px;
    padding: 4px 4px 0 4px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_conditions_wrapper #filter_conditions_list .filter_op_wrapper {
    padding: 0 4px;
    text-align: right;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_results_wrapper {
    width: calc(100% - 281px);
    padding: 8px 0 0 10px;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_results_wrapper .filter_title {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_results_wrapper #filter_stock_list {
    display: block;
    padding: 0 0 4px 0;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_results_wrapper #filter_stock_list #filter_results {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-content: flex-start;
    height: 245px;
    padding: 4px 4px 0 4px;
    overflow-y: auto;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .filter_results_wrapper #filter_stock_list .filter_results_op_wrapper {
    padding: 0 4px;
    text-align: right;
  }

  #discover_container #stock_data_config_modal #stock_data_config_panel .config_panel_footer {
    padding-top: 8px;
    text-align: right;
    border-top: 1px solid rgba(0, 0, 0, .15);
  }
  /* Stock data fast config panel */

  #runway_data_fast_config {
    margin-top: 8px;
    height: 40px;
    background-color: #666;
    border-radius: 4px;
  }

  #runway_data_fast_config ul {
    display: flex;
    margin: 0;
    color: #fff;
  }

  #runway_data_fast_config ul li {
    display: flex;
    align-items: center;
    height: 40px;
    line-height: 40px;
    padding: 0 8px;
  }

  #runway_data_fast_config ul li:first-child {
    padding: 0 12px 0 8px;
  }

  #runway_data_fast_config ul li:last-child {
    padding: 0 8px 0 4px;
  }

  #runway_data_fast_config ul li i.material-icons {
    margin-right: 4px;
  }
  /*Filter Field - General Content*/

  #discover_container #discover .content_row .filter_field_wrapper .filter_content {
    display: flex;
    display: -webkit-flex;
    margin-bottom: 10px;
  }
  /*Filter Field - Table*/

  #discover_container #discover table.stock_config_table {
    flex-shrink: 0;
    width: auto;
  }

  #discover_container #discover table.stock_config_table td {
    padding: 8px 0;
    line-height: 27px;
  }

  #discover_container #discover table.stock_config_table td.bold {
    font-weight: bold;
  }
  /*Filter Field - Table Header*/

  #discover_container #discover table.stock_config_table td.header {
    width: 100px;
    padding: 8px 12px 8px 0;
    color: #757575;
    vertical-align: middle;
    text-align: center;
    text-align: justify;
    text-justify: distribute-all-lines;
    text-align-last: justify
  }
  /*Filter Field - Table Content*/

  #discover_container #discover table.stock_config_table td.content {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    width: 177px;
  }

  #discover_container #discover table.stock_config_table td.content input {
    display: block;
    height: 26px;
    width: 177px;
    margin: 0;
    font-size: 14px;
    color: #848484;
  }

  #discover_container #discover table.stock_config_table td.content ul.select-dropdown {
    max-height: 200px;
  }

  #discover_container #discover table.stock_config_table td.content .table_filter_btn {
    margin-left: 5px;
  }
  /* Config Panel */

  #discover #stock_data_config_modal {
    top: 20% !important;
  }
  /*Config Panel - Autocomplete*/

  #discover #stock_data_config_modal #stock_data_config_panel .autocomplete_wrapper .autocomplete-content {
    position: absolute;
    width: 150px;
    margin-top: 1px;
  }

  #discover #stock_data_config_modal #stock_data_config_panel .autocomplete_wrapper .dropdown-content li {
    min-height: 28px;
    height: 28px;
    line-height: 28px;
  }

  #discover #stock_data_config_modal #stock_data_config_panel .autocomplete_wrapper .dropdown-content li>a,
  #discover #stock_data_config_modal #stock_data_config_panel .autocomplete_wrapper .dropdown-content li>span {
    font-size: 14px;
    color: #848484 !important;
    display: block;
    line-height: 22px;
    padding: 3px 8px;
  }
  /*Config Panel - Select  */

  #discover #stock_data_config_modal #stock_data_config_panel .select-wrapper input.select-dropdown {
    height: 27px;
    line-height: 27px;
    font-size: 14px;
    margin-bottom: 0;
  }

  #discover #stock_data_config_modal #stock_data_config_panel .select-wrapper .dropdown-content.select-dropdown li {
    min-height: 27px;
    line-height: 27px;
  }

  #discover #stock_data_config_modal #stock_data_config_panel .select-wrapper .dropdown-content.select-dropdown li>span {
    line-height: 21px;
    padding: 3px 5px;
    font-size: 14px;
    color: #848484;
  }
  /*Filter Field - Table Select*/

  #discover_container #discover table.stock_config_table td.content .select-wrapper input.select-dropdown {
    height: 27px;
    line-height: 27px;
    font-size: 14px;
  }

  #discover_container #discover table.stock_config_table td.content .select-wrapper .dropdown-content.select-dropdown li {
    min-height: 27px;
    line-height: 27px;
  }

  #discover_container #discover table.stock_config_table td.content .select-wrapper .dropdown-content.select-dropdown li>span {
    line-height: 21px;
    padding: 3px 5px;
    font-size: 14px;
    color: #848484;
  }
  /*Filter Field - Filter and Select Display*/

  #discover_container #discover .content_row .filter_field_wrapper .filter_config_wrapper {
    width: 100%;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_config_wrapper table {
    display: inline-block;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display .filter_title {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    line-height: 27px;
    color: #757575;
    font-size: 15px;
    font-weight: bold;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display #filter_conditions_list .select_op_wrapper,
  #discover_container #discover .content_row .filter_field_wrapper .select_result_wrapper #stock_selected_list .select_op_wrapper {
    padding: 0 4px;
    text-align: right;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display #filter_conditions_list .select_op_wrapper a,
  #discover_container #discover .content_row .filter_field_wrapper .select_result_wrapper #stock_selected_list .select_op_wrapper a {
    padding: 0 8px;
    margin-left: 4px;
    cursor: pointer;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display #filter_conditions_list .select_op_wrapper a.btn-flat:hover,
  #discover_container #discover .content_row .filter_field_wrapper .select_result_wrapper #stock_selected_list .select_op_wrapper a.btn-flat:hover {
    color: #343434;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display #filter_conditions_list {
    padding: 4px 0 0 4px;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_display #filter_conditions_list #filter_conditions {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    min-height: 34px;
    max-height: 300px;
    padding: 4px 0 4px 4px;
  }

  #discover_container #discover .content_row .filter_field_wrapper .select_result_wrapper #stock_selected_list #selected_stocks {}

  #discover_container #discover .content_row .filter_field_wrapper .filter_results_wrapper {
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 281px);
    padding: 8px 0 0 10px;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_results_wrapper #filter_stock_list {
    display: block;
    padding: 4px 0 0 4px;
    height: 245px;
    overflow-y: auto;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_results_wrapper #filter_stock_list #filter_results {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
  }

  #discover_container #discover .filter_results_wrapper #filter_stock_list #filter_results .filter_display_tag.selected {
    color: #fff;
    background-color: #474a4f;
  }
  /*Filter Field - Filter Display Tags*/

  #discover_container #discover span.filter_display_tag {
    flex: none;
    height: 22px;
    line-height: 22px;
    padding: 0 4px;
    margin: 0 4px 4px 0;
    font-size: 14px;
    color: #666;
    border-radius: 3px;
  }

  #discover_container #discover span.filter_display_tag i {
    float: right;
    height: 22px;
    line-height: 22px;
    width: 20px;
    margin: 0 -4px 0 3px;
    font-size: 16px;
    cursor: pointer;
  }

  #discover_container #discover span.default {
    background-color: #bdbdbd;
  }
  /*Filter Field - Op Panel*/

  #discover_container #discover .content_row .filter_field_wrapper .filter_op_wrapper {
    text-align: right;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_op_wrapper .btn {
    padding: 0 8px;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_op_wrapper .btn:hover {
    color: #fff;
  }

  #discover_container #discover .content_row .filter_field_wrapper .filter_op_wrapper .btn i.left {
    margin-right: 2px;
  }
  /*Stock Selected List*/

  #discover_container #discover .content_row #stock_selected_list {
    width: 100%;
    padding-bottom: 4px;
    border: 1px solid rgba(0, 0, 0, .35);
  }
  /*Help Modal*/

  #discover_container #stock_discover_help_info_modal {
    width: 600px;
    background-color: #f2f2f2;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content {
    max-height: 427px;
    overflow: auto;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content .help_title {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    height: 21px;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 10px;
    color: #666;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content .help_title .help_title_content {
    flex-shrink: 0;
    padding: 0 8px;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content .help_title .help_title_content label {
    display: inline-block;
    height: 21px;
    line-height: 21px;
    width: 21px;
    margin-right: 4px;
    font-size: 14px;
    font-weight: 700;
    color: #fff;
    text-align: center;
    background-color: #666;
    border-radius: 3px;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content .help_title .divider {
    flex-grow: 1;
    height: 0;
    border-bottom: 1px dashed #666;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_introduction {
    line-height: 20px;
    padding: 10px;
    margin-bottom: 10px;
    text-indent: 25px;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_operate_process_wrapper {
    width: 100%;
    margin-bottom: 10px;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_operate_process_wrapper ul.steps {
    width: 100%;
    margin: 0;
    padding: 0;
    text-align: left;
    list-style-type: none;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_operate_process_wrapper ul.steps li {
    position: relative;
    display: inline-block;
    height: 40px;
    line-height: 40px;
    padding: 0 20px;
    overflow: hidden;
    text-align: center;
    color: #fff;
    background-color: rgba(0, 0, 0, .35);
    cursor: pointer;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_operate_process_wrapper ul.steps li.active {
    background-color: #757575;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_page_description {
    line-height: 20px;
    padding: 10px;
    margin-bottom: 10px;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .35);
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_page_description .title {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    font-weight: 700;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_page_description p {
    margin: 2px 0;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_page_description ol {
    margin-left: 45px;
  }

  #discover_container #stock_discover_help_info_modal #help_info_content #help_page_description ol li p {
    text-indent: 25px;
    color: #666;
  }

  #discover_container #stock_discover_help_info_modal #help_info_footer {
    text-align: right;
    border-top: 1px solid rgba(0, 0, 0, .15);
  }
  /*Highcharts*/

  #discover_container #discover .content_row .highcharts_wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  /*Chart Header Config Panel*/

  #discover_container #discover .content_row .chart_header {
    display: flex;
    display: -webkit-flex;
    flex-direction: column;
    
    /* align-items: center;
    justify-content: space-between; */
  }

  #discover_container #discover .content_row .chart_header .config_wrapper {
    display: flex;
    height: 50px;
    width: 100%;
    align-items: center;
    /* flex-direction: column; */
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel {
    position: relative;
    margin-top: 1rem;
    margin-left: 20px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel label {
    position: absolute;
    top: -14px;
    font-size: .8rem;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel .control_btns_wrapper {
    height: 31px;
    width: 100%;
    padding-top: 3px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel .control_btns_wrapper a.icon_words {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    height: 28px;
    padding: 4px;
    margin-right: 3px;
    font-size: 14px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel .control_btns_wrapper a.icon_words i {
    margin-right: 3px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .btns_panel .control_btns_wrapper a.icon_only {
    height: 28px;
    line-height: 20px;
    width: 28px;
    padding: 4px;
    margin-right: 3px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .select_wrapper {
    margin-left: 30px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper input {
    margin: 0;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper a.btn {
    margin-right: 10px;
    padding: 0 8px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper a:hover {
    /* color: #fff; */
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .select-wrapper input.select-dropdown {
    height: 30px;
    line-height: 30px;
    font-size: 14px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .select-wrapper .dropdown-content.select-dropdown li {
    min-height: 30px;
    line-height: 30px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .select-wrapper .dropdown-content.select-dropdown li>span {
    line-height: 24px;
    padding: 3px 5px;
    font-size: 14px;
  }

  #discover_container #discover .content_row .chart_header .config_wrapper .time_section_select_wrapper li.disabled>span {
    color: #26a69a;
  }

  #discover_container #discover #set_time_section_modal {
    width: 450px;
  }

  #discover_container #discover #set_time_section_modal input#set_custom_time_section {
    margin-left: 10px;
    width: 150px;
  }

  #discover_container #discover #set_time_section_modal .datepicker_wrapper {
    display: flex;
    display: -webkit-flex;
    align-items: center;
  }

  #discover_container #discover #set_time_section_modal .datepicker_wrapper input {
    margin: 0;
    height: 25px;
    color: #666;
    text-align: center;
    border: 1px solid rgba(65, 147, 255, 0.8);
    border-radius: 4px 0 0 4px;
  }

  #discover_container #discover #set_time_section_modal .datepicker_wrapper i {
    display: block;
    height: 27px;
    width: 25px;
    font-size: 20px;
    line-height: 25px;
    text-align: center;
    color: white;
    /*background-color: grey;*/
    /*border: 1px solid grey;*/
    background-color: rgba(65, 147, 255, 0.8);
    border: 1px solid rgba(65, 147, 255, 0.8);
    border-radius: 0 4px 4px 0;
  }

  #discover_container #discover #set_time_section_modal .time.option {
    display: inline-block;
    width: 45px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
  }

  #discover_container #discover #set_time_section_modal .time.option:hover {
    color: #d32f2f;
  }

  #discover_container #discover .content_row .highcharts_wrapper .timeline_wrapper {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    justify-content: space-around;
  }
  /*data table*/

  #discover_container #discover .content_row #stocks_list {
    width: 100%;
  }

  #discover_container #discover .content_row #stocks_list #stocks_list_table th,
  #discover_container #discover .content_row #stocks_list #stocks_list_table td {
    white-space: nowrap;
    padding: 3px 5px;
  }

  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting:before,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting:after,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_asc:before,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_asc:after,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_desc:before,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_desc:after,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_asc_disabled:before,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_asc_disabled:after,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_desc_disabled:before,
  #discover_container #discover .content_row #stocks_list #stocks_list_table thead .sorting_desc_disabled:after {
    bottom: 2px;
    font-size: 15px;
  }
  /*data table-pagination*/

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .pagination {
    margin: 0;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .pagination li a {
    height: 30px;
    line-height: 30px;
    padding: 0 8px;
    font-size: 14px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .pagination .previous,
  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .pagination .next {
    width: 44px;
  }
  /*data table-filter and length*/

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper #stocks_list_table_wrapper {
    padding-top: 5px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .input-field input {
    height: 30px;
    font-size: 14px;
    margin-bottom: 5px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .input-field label {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    font-size: 14px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .input-field .select-wrapper~label {
    top: -18px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .input-field label i {
    font-size: 20px;
    margin-right: 2px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .select-wrapper .dropdown-content.select-dropdown li {
    min-height: 30px;
    line-height: 30px;
  }

  #discover_container #discover .content_row #stocks_list .dataTables_wrapper .select-wrapper .dropdown-content.select-dropdown li>span {
    line-height: 24px;
    padding: 3px 5px;
    font-size: 14px;
  }
  /* Floating Info Box for Scatter Point in Highcharts */

  #discover_container #discover #floating_info_box {
    position: absolute;
    z-index: 3000;
    width: 170px;
    border: 1px solid #474a4f;
    background-color: #959595;
    color: #fff;
  }

  #discover_container #discover #holding_history .hh_header,
  #discover_container #discover #floating_info_box .fib_header {
    height: 25px;
    display: flex;
    display: -webkit-flex;
    align-items: center;
    justify-content: space-between;
    background-color: #4193ff;
    text-align: center;
  }

  #discover_container #discover #floating_info_box #fib_list td {
    color: #fff;
  }
  #discover_container #discover #holding_history .hh_header span,
  #discover_container #discover #floating_info_box .fib_header span {
    font-size: 16px;
    padding-left: 4px;
  }

  #discover_container #discover #floating_info_box .fib_header i.material-icons {
    font-size: 16px;
    padding-right: 4px;
  }
  /* Holding History Box for Playback Chart */

  #discover_container #discover #holding_history {
    /* margin: 10px;
    /* width: 240px;
    height: 650px; */
    /* border: 1px solid #4193ff;
    z-index: 3000;
    overflow: auto;
    background: #fff; */
    min-height: 100px;
  }

  #discover_container #discover #holding_history .hh_header {
    color: #fff;
  }

  #discover .highcharts-title {
    display: none;
  }
